import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { AvvikelseReportViewComponent } from './avvikelse-report-view.component';
import { AvvikelseReportViewService } from './avvikelse-report-view.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('AvvikelseReportViewComponent', () => {
  let component: AvvikelseReportViewComponent;
  let fixture: ComponentFixture<AvvikelseReportViewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [AvvikelseReportViewComponent, LayoutComponent],
      imports: [RouterTestingModule, ApmModule, HttpClientTestingModule],
      providers: [AvvikelseReportViewService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(AvvikelseReportViewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
